Bug 32524 - pyopenssl: Incorrect certificate validation (3.1)
pyopenssl: Incorrect certificate validation (3.1)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 3.1
Other Linux
: P3 normal (vote)
: UCS 3.2
Assigned To: Moritz Muehlenhoff
Janek Walkenhorst
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 07:51 CEST by Moritz Muehlenhoff
Modified: 2016-08-04 16:30 CEST (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2013-09-09 07:51:07 CEST
+++ This bug was initially created as a clone of Bug #32523 +++

CVE-2013-4314

NULL bytes in X509 certificates are incorrectly validated.
Comment 1 Moritz Muehlenhoff univentionstaff 2013-11-12 11:42:14 CET
This was also fixed/imported as part of the Debian 6.0.8 import in UCS 3.2
Comment 2 Janek Walkenhorst univentionstaff 2013-11-20 15:49:27 CET
(In reply to Moritz Muehlenhoff from comment #1)
> This was also fixed/imported as part of the Debian 6.0.8 import in UCS 3.2
Correct.